<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.1036
Name: Dermatologisches Konsil Patientendaten
Description: Dokumenten-Template für die Übermittlung von patientenbezogenen Daten als Basis für ein Dermatologisches Konsil
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.1036-2020-04-16T191402">
   <title>Dermatologisches Konsil Patientendaten</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]"
         id="d41e243-false-d14857e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@classCode) = ('DOCCLIN') or not(@classCode)">(KonsilPatientendaten): Der Wert von classCode MUSS 'DOCCLIN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(KonsilPatientendaten): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:realmCode[not(@nullFlavor)]) &gt;= 1">(KonsilPatientendaten): Element hl7:realmCode[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:realmCode[not(@nullFlavor)]) &lt;= 1">(KonsilPatientendaten): Element hl7:realmCode[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040']) &gt;= 1">(KonsilPatientendaten): Element hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040']) &lt;= 1">(KonsilPatientendaten): Element hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.1036']) &gt;= 1">(KonsilPatientendaten): Element hl7:templateId[@root = '1.2.276.0.76.10.1036'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.1036']) &lt;= 1">(KonsilPatientendaten): Element hl7:templateId[@root = '1.2.276.0.76.10.1036'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(KonsilPatientendaten): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(KonsilPatientendaten): Element hl7:id[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:code[(@code = '60591-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(KonsilPatientendaten): Element hl7:code[(@code = '60591-5' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:code[(@code = '60591-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(KonsilPatientendaten): Element hl7:code[(@code = '60591-5' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(KonsilPatientendaten): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(KonsilPatientendaten): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(KonsilPatientendaten): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(KonsilPatientendaten): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:confidentialityCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(KonsilPatientendaten): Element hl7:confidentialityCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:confidentialityCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(KonsilPatientendaten): Element hl7:confidentialityCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:languageCode[not(@nullFlavor)]) &gt;= 1">(KonsilPatientendaten): Element hl7:languageCode[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:languageCode[not(@nullFlavor)]) &lt;= 1">(KonsilPatientendaten): Element hl7:languageCode[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:setId[not(@nullFlavor)]) &gt;= 1">(KonsilPatientendaten): Element hl7:setId[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:setId[not(@nullFlavor)]) &lt;= 1">(KonsilPatientendaten): Element hl7:setId[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:versionNumber[not(@nullFlavor)]) &gt;= 1">(KonsilPatientendaten): Element hl7:versionNumber[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:versionNumber[not(@nullFlavor)]) &lt;= 1">(KonsilPatientendaten): Element hl7:versionNumber[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:recordTarget[not(@nullFlavor)][hl7:patientRole]) &gt;= 1">(KonsilPatientendaten): Element hl7:recordTarget[not(@nullFlavor)][hl7:patientRole] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:recordTarget[not(@nullFlavor)][hl7:patientRole]) &lt;= 1">(KonsilPatientendaten): Element hl7:recordTarget[not(@nullFlavor)][hl7:patientRole] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:author[not(@nullFlavor)][hl7:assignedAuthor]) &gt;= 1">(KonsilPatientendaten): Element hl7:author[not(@nullFlavor)][hl7:assignedAuthor] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:author[not(@nullFlavor)][hl7:assignedAuthor]) &lt;= 1">(KonsilPatientendaten): Element hl7:author[not(@nullFlavor)][hl7:assignedAuthor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:custodian[not(@nullFlavor)][hl7:assignedCustodian]) &gt;= 1">(KonsilPatientendaten): Element hl7:custodian[not(@nullFlavor)][hl7:assignedCustodian] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:custodian[not(@nullFlavor)][hl7:assignedCustodian]) &lt;= 1">(KonsilPatientendaten): Element hl7:custodian[not(@nullFlavor)][hl7:assignedCustodian] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]) &gt;= 1">(KonsilPatientendaten): Element hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]) &lt;= 1">(KonsilPatientendaten): Element hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90002
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:realmCode[not(@nullFlavor)]
Item: (CDArealmCode)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:realmCode[not(@nullFlavor)]"
         id="d14878e83-false-d15089e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90002-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArealmCode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90002-2013-07-15T000000.html"
              test="@code">(CDArealmCode): Attribut @code MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90002-2013-07-15T000000.html"
              test="not(@code) or empty($theAttValue[not(. = (('DE')))])">(CDArealmCode): Der Wert von code MUSS 'Code DE' sein. Gefunden: "<value-of select="@code"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040']
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040']"
         id="d41e251-false-d15111e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilPatientendaten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@root) = ('2.16.840.1.113883.1.3')">(KonsilPatientendaten): Der Wert von root MUSS '2.16.840.1.113883.1.3' sein. Gefunden: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@extension) = ('POCD_HD000040')">(KonsilPatientendaten): Der Wert von extension MUSS 'POCD_HD000040' sein. Gefunden: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="not(@extension) or string-length(@extension)&gt;0">(KonsilPatientendaten): Attribute @extension MUSS vom Datentyp 'st' sein  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:templateId[@root = '1.2.276.0.76.10.1036']
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:templateId[@root = '1.2.276.0.76.10.1036']"
         id="d41e258-false-d15133e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilPatientendaten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@root) = ('1.2.276.0.76.10.1036')">(KonsilPatientendaten): Der Wert von root MUSS '1.2.276.0.76.10.1036' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:id[not(@nullFlavor)]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:id[not(@nullFlavor)]"
         id="d41e264-false-d15147e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilPatientendaten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:code[(@code = '60591-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:code[(@code = '60591-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e266-false-d15158e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilPatientendaten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="@nullFlavor or (@code='60591-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Patient summary Document')">(KonsilPatientendaten): Der Elementinhalt MUSS einer von 'code '60591-5' codeSystem '2.16.840.1.113883.6.1' displayName='Patient summary Document'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:title[not(@nullFlavor)]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:title[not(@nullFlavor)]"
         id="d41e271-false-d15174e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilPatientendaten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d41e277-false-d15184e0">
      <extends rule="TS.DATETIME.MIN"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilPatientendaten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="not(*)">(KonsilPatientendaten): <value-of select="local-name()"/> with datatype TS.DATETIME.MIN, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:confidentialityCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:confidentialityCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d41e279-false-d15200e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilPatientendaten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(KonsilPatientendaten): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16926 HL7 BasicConfidentialityKind (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:languageCode[not(@nullFlavor)]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:languageCode[not(@nullFlavor)]"
         id="d41e284-false-d15220e0">
      <extends rule="CS.LANG"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilPatientendaten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:setId[not(@nullFlavor)]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:setId[not(@nullFlavor)]"
         id="d41e287-false-d15230e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilPatientendaten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:versionNumber[not(@nullFlavor)]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:versionNumber[not(@nullFlavor)]"
         id="d41e289-false-d15240e0">
      <extends rule="INT.POS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilPatientendaten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:INT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(KonsilPatientendaten): @value ist keine gültige INT Zahl <value-of select="@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]"
         id="d15241e206-false-d15257e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="string(@typeCode) = ('RCT') or not(@typeCode)">(HeaderRecordTarget): Der Wert von typeCode MUSS 'RCT' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(HeaderRecordTarget): Der Wert von contextControlCode MUSS 'OP' sein. Gefunden: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:patientRole) &gt;= 1">(HeaderRecordTarget): Element hl7:patientRole ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:patientRole) &lt;= 1">(HeaderRecordTarget): Element hl7:patientRole kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole"
         id="d15241e225-false-d15286e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="string(@classCode) = ('PAT') or not(@classCode)">(HeaderRecordTarget): Der Wert von classCode MUSS 'PAT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:id) &gt;= 1">(HeaderRecordTarget): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(HeaderRecordTarget): Element hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:id
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:id"
         id="d15241e244-false-d15323e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:addr
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:addr"
         id="d15241e254-false-d15333e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:telecom
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:telecom"
         id="d15241e279-false-d15343e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]"
         id="d15241e296-false-d15359e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(HeaderRecordTarget): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(HeaderRecordTarget): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(HeaderRecordTarget): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(HeaderRecordTarget): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(HeaderRecordTarget): Element hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(HeaderRecordTarget): Element hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:birthTime) &gt;= 1">(HeaderRecordTarget): Element hl7:birthTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:birthTime) &lt;= 1">(HeaderRecordTarget): Element hl7:birthTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:maritalStatusCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(HeaderRecordTarget): Element hl7:maritalStatusCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:religiousAffiliationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19185-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(HeaderRecordTarget): Element hl7:religiousAffiliationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19185-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:raceCode) = 0">(HeaderRecordTarget): Element hl7:raceCode DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:ethnicGroupCode) = 0">(HeaderRecordTarget): Element hl7:ethnicGroupCode DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:birthplace[hl7:place]) &lt;= 1">(HeaderRecordTarget): Element hl7:birthplace[hl7:place] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90030
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name
Item: (Personenname)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name"
         id="d15371e43-false-d15453e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90030-2018-04-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Personenname): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90030
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name/hl7:prefix[@qualifier='AC']
Item: (Personenname)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name/hl7:prefix[@qualifier='AC']"
         id="d15371e102-false-d15479e0">
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90030-2018-04-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Personenname): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ENXP" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90030-2018-04-11T000000.html"
              test="string(@qualifier) = ('AC')">(Personenname): Der Wert von qualifier MUSS 'AC' sein. Gefunden: "<value-of select="@qualifier"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90030
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name/hl7:given
Item: (Personenname)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name/hl7:given"
         id="d15371e110-false-d15493e0">
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90030-2018-04-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Personenname): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ENXP" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90030
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name/hl7:prefix[@qualifier='NB']
Item: (Personenname)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name/hl7:prefix[@qualifier='NB']"
         id="d15371e117-false-d15501e0">
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90030-2018-04-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Personenname): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ENXP" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90030-2018-04-11T000000.html"
              test="string(@qualifier) = ('NB')">(Personenname): Der Wert von qualifier MUSS 'NB' sein. Gefunden: "<value-of select="@qualifier"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90030
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name/hl7:prefix[@qualifier='VV']
Item: (Personenname)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name/hl7:prefix[@qualifier='VV']"
         id="d15371e125-false-d15513e0">
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90030-2018-04-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Personenname): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ENXP" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90030-2018-04-11T000000.html"
              test="string(@qualifier) = ('VV')">(Personenname): Der Wert von qualifier MUSS 'VV' sein. Gefunden: "<value-of select="@qualifier"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90030
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name/hl7:family
Item: (Personenname)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name/hl7:family"
         id="d15371e133-false-d15527e0">
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90030-2018-04-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Personenname): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ENXP" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90030
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name/hl7:suffix
Item: (Personenname)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name/hl7:suffix"
         id="d15371e139-false-d15537e0">
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90030-2018-04-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Personenname): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ENXP" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d15241e324-false-d15550e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(HeaderRecordTarget): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.1 AdministrativeGender (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:birthTime
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:birthTime"
         id="d15241e339-false-d15570e0">
      <extends rule="TS.DATE.MIN"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="not(*)">(HeaderRecordTarget): <value-of select="local-name()"/> with datatype TS.DATE.MIN, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:maritalStatusCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:maritalStatusCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d15241e352-false-d15586e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(HeaderRecordTarget): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.12212 MaritalStatus (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:religiousAffiliationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19185-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:religiousAffiliationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19185-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d15241e368-false-d15609e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19185-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(HeaderRecordTarget): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.19185 ReligiousAffiliation (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:raceCode
Item: (HeaderRecordTarget)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:ethnicGroupCode
Item: (HeaderRecordTarget)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian"
         id="d15241e400-false-d15645e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:addr) &lt;= 1">(HeaderRecordTarget): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:guardianPerson | hl7:guardianOrganization)"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="$elmcount &gt;= 1">(HeaderRecordTarget): Auswahl (hl7:guardianPerson  oder  hl7:guardianOrganization) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="$elmcount &lt;= 1">(HeaderRecordTarget): Auswahl (hl7:guardianPerson  oder  hl7:guardianOrganization) enthält zu viele Elemente [max 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian/hl7:addr
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian/hl7:addr"
         id="d15241e405-false-d15677e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian/hl7:telecom
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian/hl7:telecom"
         id="d15241e407-false-d15687e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian/hl7:guardianPerson
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian/hl7:guardianPerson"
         id="d15241e413-false-d15697e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(HeaderRecordTarget): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(HeaderRecordTarget): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian/hl7:guardianPerson/hl7:name[not(@nullFlavor)]
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian/hl7:guardianPerson/hl7:name[not(@nullFlavor)]"
         id="d15241e415-false-d15713e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian/hl7:guardianOrganization
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian/hl7:guardianOrganization"
         id="d15241e418-false-d15723e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(HeaderRecordTarget): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(HeaderRecordTarget): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian/hl7:guardianOrganization/hl7:name[not(@nullFlavor)]
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:guardian/hl7:guardianOrganization/hl7:name[not(@nullFlavor)]"
         id="d15241e420-false-d15739e0">
      <extends rule="ON"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:birthplace[hl7:place]
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:birthplace[hl7:place]"
         id="d15241e427-false-d15749e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:place[not(@nullFlavor)]) &gt;= 1">(HeaderRecordTarget): Element hl7:place[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:place[not(@nullFlavor)]) &lt;= 1">(HeaderRecordTarget): Element hl7:place[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:birthplace[hl7:place]/hl7:place[not(@nullFlavor)]
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:birthplace[hl7:place]/hl7:place[not(@nullFlavor)]"
         id="d15241e444-false-d15765e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:addr[not(@nullFlavor)]) &gt;= 1">(HeaderRecordTarget): Element hl7:addr[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:addr[not(@nullFlavor)]) &lt;= 1">(HeaderRecordTarget): Element hl7:addr[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:birthplace[hl7:place]/hl7:place[not(@nullFlavor)]/hl7:addr[not(@nullFlavor)]
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:birthplace[hl7:place]/hl7:place[not(@nullFlavor)]/hl7:addr[not(@nullFlavor)]"
         id="d15241e446-false-d15781e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:languageCommunication
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:languageCommunication"
         id="d15241e450-false-d15791e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:languageCode) &lt;= 1">(HeaderRecordTarget): Element hl7:languageCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:modeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.12249-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(HeaderRecordTarget): Element hl7:modeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.12249-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:proficiencyLevelCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.12199-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(HeaderRecordTarget): Element hl7:proficiencyLevelCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.12199-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="count(hl7:preferenceInd) &lt;= 1">(HeaderRecordTarget): Element hl7:preferenceInd kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:languageCommunication/hl7:languageCode
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:languageCommunication/hl7:languageCode"
         id="d15241e452-false-d15835e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:languageCommunication/hl7:modeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.12249-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:languageCommunication/hl7:modeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.12249-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d15241e457-false-d15852e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.12249-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(HeaderRecordTarget): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.12249 LanguageAbilityMode (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:languageCommunication/hl7:proficiencyLevelCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.12199-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:languageCommunication/hl7:proficiencyLevelCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.12199-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d15241e462-false-d15875e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.12199-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(HeaderRecordTarget): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.12199 LanguageAbilityProficiency (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2001
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:languageCommunication/hl7:preferenceInd
Item: (HeaderRecordTarget)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:languageCommunication/hl7:preferenceInd"
         id="d15241e467-false-d15895e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2001-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderRecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2007
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]
Item: (HeaderAuthorPerson)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]"
         id="d15896e63-false-d15911e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="string(@typeCode) = ('AUT') or not(@typeCode)">(HeaderAuthorPerson): Der Wert von typeCode MUSS 'AUT' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(HeaderAuthorPerson): Der Wert von contextControlCode MUSS 'OP' sein. Gefunden: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(HeaderAuthorPerson): Element hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:time) &gt;= 1">(HeaderAuthorPerson): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:time) &lt;= 1">(HeaderAuthorPerson): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:assignedAuthor[hl7:representedOrganization]) &gt;= 1">(HeaderAuthorPerson): Element hl7:assignedAuthor[hl7:representedOrganization] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:assignedAuthor[hl7:representedOrganization]) &lt;= 1">(HeaderAuthorPerson): Element hl7:assignedAuthor[hl7:representedOrganization] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2007
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (HeaderAuthorPerson)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d15896e84-false-d15960e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthorPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(HeaderAuthorPerson): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2007
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:time
Item: (HeaderAuthorPerson)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:time"
         id="d15896e92-false-d15980e0">
      <extends rule="TS.DATE.MIN"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthorPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="not(*)">(HeaderAuthorPerson): <value-of select="local-name()"/> with datatype TS.DATE.MIN, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2007
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]
Item: (HeaderAuthorPerson)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]"
         id="d15896e96-false-d15998e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(HeaderAuthorPerson): Der Wert von classCode MUSS 'ASSIGNED' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:id) &gt;= 1">(HeaderAuthorPerson): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:code) &lt;= 1">(HeaderAuthorPerson): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(HeaderAuthorPerson): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:representedOrganization[not(@nullFlavor)]) &gt;= 1">(HeaderAuthorPerson): Element hl7:representedOrganization[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:representedOrganization[not(@nullFlavor)]) &lt;= 1">(HeaderAuthorPerson): Element hl7:representedOrganization[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2007
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:id
Item: (HeaderAuthorPerson)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:id"
         id="d15896e102-false-d16044e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthorPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2007
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:code
Item: (HeaderAuthorPerson)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:code"
         id="d15896e106-false-d16054e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthorPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2007
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:telecom
Item: (HeaderAuthorPerson)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:telecom"
         id="d15896e115-false-d16064e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthorPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2007
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedPerson
Item: (HeaderAuthorPerson)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedPerson"
         id="d15896e119-false-d16077e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(HeaderAuthorPerson): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(HeaderAuthorPerson): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(HeaderAuthorPerson): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(HeaderAuthorPerson): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]"
         id="d16074e29-false-d16107e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2007
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]
Item: (HeaderAuthorPerson)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]"
         id="d15896e128-false-d16120e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(HeaderAuthorPerson): Der Wert von classCode MUSS 'ORG' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(HeaderAuthorPerson): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(HeaderAuthorPerson): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(HeaderAuthorPerson): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2007-2013-10-11T000000.html"
              test="count(hl7:addr) &lt;= 1">(HeaderAuthorPerson): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:id
Item: (OrganizationElements)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:id"
         id="d16117e40-false-d16161e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]"
         id="d16117e45-false-d16171e0">
      <extends rule="ON"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:telecom"
         id="d16117e49-false-d16181e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:representedOrganization]/hl7:representedOrganization[not(@nullFlavor)]/hl7:addr"
         id="d16117e53-false-d16191e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]
Item: (HeaderCustodian)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]"
         id="d16192e20-false-d16202e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="string(@typeCode) = ('CST') or not(@typeCode)">(HeaderCustodian): Der Wert von typeCode MUSS 'CST' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]) &gt;= 1">(HeaderCustodian): Element hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]) &lt;= 1">(HeaderCustodian): Element hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]
Item: (HeaderCustodian)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]"
         id="d16192e40-false-d16222e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(HeaderCustodian): Der Wert von classCode MUSS 'ASSIGNED' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:representedCustodianOrganization[not(@nullFlavor)]) &gt;= 1">(HeaderCustodian): Element hl7:representedCustodianOrganization[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:representedCustodianOrganization[not(@nullFlavor)]) &lt;= 1">(HeaderCustodian): Element hl7:representedCustodianOrganization[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization[not(@nullFlavor)]
Item: (HeaderCustodian)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization[not(@nullFlavor)]"
         id="d16192e46-false-d16242e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(HeaderCustodian): Der Wert von classCode MUSS 'ORG' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(HeaderCustodian): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:id) &gt;= 1">(HeaderCustodian): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:id) &lt;= 1">(HeaderCustodian): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(HeaderCustodian): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(HeaderCustodian): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:addr) &lt;= 1">(HeaderCustodian): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization[not(@nullFlavor)]/hl7:id
Item: (HeaderCustodian)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization[not(@nullFlavor)]/hl7:id"
         id="d16192e54-false-d16284e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderCustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (HeaderCustodian)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]"
         id="d16192e59-false-d16294e0">
      <extends rule="ON"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderCustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization[not(@nullFlavor)]/hl7:telecom
Item: (HeaderCustodian)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization[not(@nullFlavor)]/hl7:telecom"
         id="d16192e63-false-d16304e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderCustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization[not(@nullFlavor)]/hl7:addr
Item: (HeaderCustodian)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization[not(@nullFlavor)]/hl7:addr"
         id="d16192e67-false-d16314e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderCustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]"
         id="d41e297-false-d16377e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@typeCode) = ('COMP')">(KonsilPatientendaten): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(KonsilPatientendaten): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']) &gt;= 1">(KonsilPatientendaten): Element hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']) &lt;= 1">(KonsilPatientendaten): Element hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']"
         id="d41e303-false-d16507e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@classCode) = ('DOCBODY')">(KonsilPatientendaten): Der Wert von classCode MUSS 'DOCBODY' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@moodCode) = ('EVN')">(KonsilPatientendaten): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]) &gt;= 1">(KonsilPatientendaten): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]) &lt;= 1">(KonsilPatientendaten): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]) &gt;= 1">(KonsilPatientendaten): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]) &lt;= 1">(KonsilPatientendaten): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]) &gt;= 1">(KonsilPatientendaten): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]) &lt;= 1">(KonsilPatientendaten): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]]) &gt;= 1">(KonsilPatientendaten): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]]) &lt;= 1">(KonsilPatientendaten): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]"
         id="d41e309-false-d16620e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@typeCode) = ('COMP')">(KonsilPatientendaten): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(KonsilPatientendaten): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]) &gt;= 1">(KonsilPatientendaten): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]) &lt;= 1">(KonsilPatientendaten): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]"
         id="d41e323-false-d16678e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@typeCode) = ('COMP')">(KonsilPatientendaten): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(KonsilPatientendaten): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]) &gt;= 1">(KonsilPatientendaten): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]) &lt;= 1">(KonsilPatientendaten): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]"
         id="d41e337-false-d16765e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@typeCode) = ('COMP')">(KonsilPatientendaten): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(KonsilPatientendaten): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]) &gt;= 1">(KonsilPatientendaten): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]) &lt;= 1">(KonsilPatientendaten): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]
Item: (Currentmedicationsection)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]"
         id="d16761e252-false-d16864e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3157']) &gt;= 1">(Currentmedicationsection): Element hl7:templateId[@root = '1.2.276.0.76.10.3157'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3157']) &lt;= 1">(Currentmedicationsection): Element hl7:templateId[@root = '1.2.276.0.76.10.3157'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:id) &lt;= 1">(Currentmedicationsection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Currentmedicationsection): Element hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Currentmedicationsection): Element hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Currentmedicationsection): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Currentmedicationsection): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Currentmedicationsection): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Currentmedicationsection): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:templateId[@root = '1.2.276.0.76.10.3157']
Item: (Currentmedicationsection)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:templateId[@root = '1.2.276.0.76.10.3157']"
         id="d16761e254-false-d16950e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Currentmedicationsection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="string(@root) = ('1.2.276.0.76.10.3157')">(Currentmedicationsection): Der Wert von root MUSS '1.2.276.0.76.10.3157' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:id
Item: (Currentmedicationsection)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:id"
         id="d16761e259-false-d16964e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Currentmedicationsection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Currentmedicationsection)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d16761e261-false-d16975e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Currentmedicationsection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="@nullFlavor or (@code='19009-0' and @codeSystem='2.16.840.1.113883.6.1')">(Currentmedicationsection): Der Elementinhalt MUSS einer von 'code '19009-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:title[not(@nullFlavor)]
Item: (Currentmedicationsection)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:title[not(@nullFlavor)]"
         id="d16761e266-false-d16991e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Currentmedicationsection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="text()='Aktuelle Medikation'">(Currentmedicationsection): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Aktuelle Medikation'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:text[not(@nullFlavor)]
Item: (Currentmedicationsection)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:text[not(@nullFlavor)]"
         id="d16761e272-false-d17005e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3157-2020-03-26T204929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Currentmedicationsection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3157
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3157']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.10.4022']]]
Item: (Currentmedicationsection)
-->
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1036
Context: //hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]]
Item: (KonsilPatientendaten)
-->

   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]/hl7:component[not(@nullFlavor)][@typeCode = 'COMP'][hl7:structuredBody[@classCode = 'DOCBODY'][@moodCode = 'EVN']]/hl7:structuredBody[not(@nullFlavor)][@classCode = 'DOCBODY'][@moodCode = 'EVN']/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]]"
         id="d41e352-false-d17073e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@typeCode) = ('COMP')">(KonsilPatientendaten): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(KonsilPatientendaten): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]) &gt;= 1">(KonsilPatientendaten): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']]) &lt;= 1">(KonsilPatientendaten): Element hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3100']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
