<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3158
Name: Dermatologische Anamnese
Description: Angaben zu einer dermatologischen Anamnese
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3158-2020-03-30T223340">
   <title>Dermatologische Anamnese</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]
Item: (DermatologischeAnamnese)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]"
         id="d41e3451-false-d27183e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3158']) &gt;= 1">(DermatologischeAnamnese): Element hl7:templateId[@root = '1.2.276.0.76.10.3158'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3158']) &lt;= 1">(DermatologischeAnamnese): Element hl7:templateId[@root = '1.2.276.0.76.10.3158'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:id) &lt;= 1">(DermatologischeAnamnese): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:code[(@code = '84077-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(DermatologischeAnamnese): Element hl7:code[(@code = '84077-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischeAnamnese): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischeAnamnese): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:text) &lt;= 1">(DermatologischeAnamnese): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]) &gt;= 1">(DermatologischeAnamnese): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]) &lt;= 1">(DermatologischeAnamnese): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:templateId[@root = '1.2.276.0.76.10.3158']
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:templateId[@root = '1.2.276.0.76.10.3158']"
         id="d41e3453-false-d27254e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="string(@root) = ('1.2.276.0.76.10.3158')">(DermatologischeAnamnese): Der Wert von root MUSS '1.2.276.0.76.10.3158' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:id
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:id"
         id="d41e3458-false-d27268e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:code[(@code = '84077-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:code[(@code = '84077-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d41e3460-false-d27279e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="@nullFlavor or (@code='84077-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Dermatology History and physical note')">(DermatologischeAnamnese): Der Elementinhalt MUSS einer von 'code '84077-7' codeSystem '2.16.840.1.113883.6.1' displayName='Dermatology History and physical note'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:title[not(@nullFlavor)]"
         id="d41e3465-false-d27295e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="text()='Anamnese'">(DermatologischeAnamnese): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Anamnese'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:text
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:text"
         id="d41e3471-false-d27309e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]"
         id="d41e3474-false-d27325e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="string(@typeCode) = ('COMP')">(DermatologischeAnamnese): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]) &gt;= 1">(DermatologischeAnamnese): Element hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]) &lt;= 1">(DermatologischeAnamnese): Element hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]"
         id="d41e3486-false-d27357e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="string(@typeCode) = ('COMP')">(DermatologischeAnamnese): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]) &gt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]) &lt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]"
         id="d41e3493-false-d27387e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="string(@typeCode) = ('COMP')">(DermatologischeAnamnese): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]) &gt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]) &lt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
