<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3161
Name: Dermatologische Familienanamnese
Description: Angaben zur Familien- und Eigenanamnese
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3161-2020-04-04T212204">
   <title>Dermatologische Familienanamnese</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3161
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]
Item: (DermatologischeFamilienanamnese)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3161
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]
Item: (DermatologischeFamilienanamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]"
         id="d41e3679-false-d27800e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3161']) &gt;= 1">(DermatologischeFamilienanamnese): Element hl7:templateId[@root = '1.2.276.0.76.10.3161'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3161']) &lt;= 1">(DermatologischeFamilienanamnese): Element hl7:templateId[@root = '1.2.276.0.76.10.3161'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="count(hl7:id) &lt;= 1">(DermatologischeFamilienanamnese): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="count(hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(DermatologischeFamilienanamnese): Element hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="count(hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(DermatologischeFamilienanamnese): Element hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischeFamilienanamnese): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischeFamilienanamnese): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="count(hl7:text) &lt;= 1">(DermatologischeFamilienanamnese): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]) &gt;= 1">(DermatologischeFamilienanamnese): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]) &lt;= 1">(DermatologischeFamilienanamnese): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3161
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]/hl7:templateId[@root = '1.2.276.0.76.10.3161']
Item: (DermatologischeFamilienanamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]/hl7:templateId[@root = '1.2.276.0.76.10.3161']"
         id="d41e3681-false-d27859e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeFamilienanamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="string(@root) = ('1.2.276.0.76.10.3161')">(DermatologischeFamilienanamnese): Der Wert von root MUSS '1.2.276.0.76.10.3161' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3161
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]/hl7:id
Item: (DermatologischeFamilienanamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]/hl7:id"
         id="d41e3686-false-d27873e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeFamilienanamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3161
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]/hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (DermatologischeFamilienanamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]/hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e3688-false-d27884e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeFamilienanamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="@nullFlavor or (@code='10157-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of family member diseases Narrative')">(DermatologischeFamilienanamnese): Der Elementinhalt MUSS einer von 'code '10157-6' codeSystem '2.16.840.1.113883.6.1' displayName='History of family member diseases Narrative'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3161
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischeFamilienanamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]/hl7:title[not(@nullFlavor)]"
         id="d41e3693-false-d27900e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeFamilienanamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="text()='Familien- und Eigenanamnese'">(DermatologischeFamilienanamnese): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Familien- und Eigenanamnese'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3161
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]/hl7:text
Item: (DermatologischeFamilienanamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]/hl7:text"
         id="d41e3699-false-d27914e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeFamilienanamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3161
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]
Item: (DermatologischeFamilienanamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3161']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]"
         id="d41e3702-false-d27930e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="string(@typeCode) = ('COMP')">(DermatologischeFamilienanamnese): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="count(hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]) &gt;= 1">(DermatologischeFamilienanamnese): Element hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3161-2020-04-04T212204.html"
              test="count(hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]) &lt;= 1">(DermatologischeFamilienanamnese): Element hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
