<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3165
Name: Dermatologische Therapieempfehlung
Description: Angabe einer Therapieempfehlung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3165-2020-04-05T221303">
   <title>Dermatologische Therapieempfehlung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3165
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]
Item: (Therapieempfehlung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3165
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]
Item: (Therapieempfehlung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]"
         id="d41e3920-false-d28397e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3165']) &gt;= 1">(Therapieempfehlung): Element hl7:templateId[@root = '1.2.276.0.76.10.3165'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3165']) &lt;= 1">(Therapieempfehlung): Element hl7:templateId[@root = '1.2.276.0.76.10.3165'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="count(hl7:id) &lt;= 1">(Therapieempfehlung): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="count(hl7:code[(@code = '18776-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Therapieempfehlung): Element hl7:code[(@code = '18776-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Therapieempfehlung): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Therapieempfehlung): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Therapieempfehlung): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Therapieempfehlung): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]) &gt;= 1">(Therapieempfehlung): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]) &lt;= 1">(Therapieempfehlung): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]) &lt;= 1">(Therapieempfehlung): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3165
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:templateId[@root = '1.2.276.0.76.10.3165']
Item: (Therapieempfehlung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:templateId[@root = '1.2.276.0.76.10.3165']"
         id="d41e3922-false-d28463e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Therapieempfehlung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="string(@root) = ('1.2.276.0.76.10.3165')">(Therapieempfehlung): Der Wert von root MUSS '1.2.276.0.76.10.3165' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3165
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:id
Item: (Therapieempfehlung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:id"
         id="d41e3927-false-d28477e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Therapieempfehlung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3165
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:code[(@code = '18776-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Therapieempfehlung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:code[(@code = '18776-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d41e3929-false-d28488e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Therapieempfehlung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="@nullFlavor or (@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Plan of care note')">(Therapieempfehlung): Der Elementinhalt MUSS einer von 'code '18776-5' codeSystem '2.16.840.1.113883.6.1' displayName='Plan of care note'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3165
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:title[not(@nullFlavor)]
Item: (Therapieempfehlung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:title[not(@nullFlavor)]"
         id="d41e3934-false-d28504e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Therapieempfehlung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="text()='Therapieempfehlung'">(Therapieempfehlung): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Therapieempfehlung'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3165
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:text[not(@nullFlavor)]
Item: (Therapieempfehlung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:text[not(@nullFlavor)]"
         id="d41e3940-false-d28518e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Therapieempfehlung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3165
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]
Item: (Therapieempfehlung)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4314']]]">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="string(@typeCode) = ('COMP')">(Therapieempfehlung): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3165
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]
Item: (Therapieempfehlung)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3165']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.3165-2020-04-05T221303.html"
              test="string(@typeCode) = ('COMP')">(Therapieempfehlung): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
