<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4319
Name: Dermatologie Anamnese Problem Observation
Description: Beschreibung eines dermatologischen Problems des Patienten
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4319-2020-05-24T114415">
   <title>Dermatologie Anamnese Problem Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]
Item: (ProblemObservationDermatology)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]
Item: (ProblemObservationDermatology)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]"
         id="d41e9775-false-d48615e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="string(@classCode) = ('OBS')">(ProblemObservationDermatology): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="string(@moodCode) = ('EVN')">(ProblemObservationDermatology): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(ProblemObservationDermatology): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4319']) &gt;= 1">(ProblemObservationDermatology): Element hl7:templateId[@root = '1.2.276.0.76.10.4319'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4319']) &lt;= 1">(ProblemObservationDermatology): Element hl7:templateId[@root = '1.2.276.0.76.10.4319'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(ProblemObservationDermatology): Element hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(ProblemObservationDermatology): Element hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:text) &lt;= 1">(ProblemObservationDermatology): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ProblemObservationDermatology): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ProblemObservationDermatology): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:effectiveTime[hl7:low]) &lt;= 1">(ProblemObservationDermatology): Element hl7:effectiveTime[hl7:low] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.468-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(ProblemObservationDermatology): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.468-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.468-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ProblemObservationDermatology): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.468-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:templateId[@root = '1.2.276.0.76.10.4319']
Item: (ProblemObservationDermatology)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:templateId[@root = '1.2.276.0.76.10.4319']"
         id="d41e9783-false-d48689e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="string(@root) = ('1.2.276.0.76.10.4319')">(ProblemObservationDermatology): Der Wert von root MUSS '1.2.276.0.76.10.4319' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:id
Item: (ProblemObservationDermatology)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:id"
         id="d41e9788-false-d48703e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (ProblemObservationDermatology)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d41e9791-false-d48714e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="@nullFlavor or (@code='55607006' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Problem')">(ProblemObservationDermatology): Der Elementinhalt MUSS einer von 'code '55607006' codeSystem '2.16.840.1.113883.6.96' displayName='Problem'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:text
Item: (ProblemObservationDermatology)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:text"
         id="d41e9796-false-d48730e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:statusCode[@code = 'completed']
Item: (ProblemObservationDermatology)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:statusCode[@code = 'completed']"
         id="d41e9798-false-d48741e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="@nullFlavor or (@code='completed')">(ProblemObservationDermatology): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:effectiveTime[hl7:low]
Item: (ProblemObservationDermatology)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:effectiveTime[hl7:low]"
         id="d41e9803-false-d48754e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:low[not(@nullFlavor)]) &gt;= 1">(ProblemObservationDermatology): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:low[not(@nullFlavor)]) &lt;= 1">(ProblemObservationDermatology): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:high) &lt;= 1">(ProblemObservationDermatology): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:effectiveTime[hl7:low]/hl7:low[not(@nullFlavor)]
Item: (ProblemObservationDermatology)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:effectiveTime[hl7:low]/hl7:high
Item: (ProblemObservationDermatology)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.468-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ProblemObservationDermatology)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.468-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d41e9821-false-d48795e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.468-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProblemObservationDermatology): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.468 Dermatologie Beschwerde (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
