<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4320
Name: Dermatologie Anamnese Problem Concern Act
Description: Beschreibung der dermatologischen Probleme eines Patienten
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4320-2020-05-24T114709">
   <title>Dermatologie Anamnese Problem Concern Act</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4320
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]
Item: (ProblemConcernActDermatology)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4320
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]
Item: (ProblemConcernActDermatology)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]"
         id="d41e9871-false-d48842e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="string(@classCode) = ('ACT')">(ProblemConcernActDermatology): Der Wert von classCode MUSS 'ACT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="string(@moodCode) = ('EVN')">(ProblemConcernActDermatology): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4320']) &gt;= 1">(ProblemConcernActDermatology): Element hl7:templateId[@root = '1.2.276.0.76.10.4320'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4320']) &lt;= 1">(ProblemConcernActDermatology): Element hl7:templateId[@root = '1.2.276.0.76.10.4320'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &gt;= 1">(ProblemConcernActDermatology): Element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &lt;= 1">(ProblemConcernActDermatology): Element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ProblemConcernActDermatology): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ProblemConcernActDermatology): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="count(hl7:effectiveTime[hl7:low]) &lt;= 1">(ProblemConcernActDermatology): Element hl7:effectiveTime[hl7:low] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]) &gt;= 1">(ProblemConcernActDermatology): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4320
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:templateId[@root = '1.2.276.0.76.10.4320']
Item: (ProblemConcernActDermatology)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:templateId[@root = '1.2.276.0.76.10.4320']"
         id="d41e9877-false-d48904e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemConcernActDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="string(@root) = ('1.2.276.0.76.10.4320')">(ProblemConcernActDermatology): Der Wert von root MUSS '1.2.276.0.76.10.4320' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4320
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:id
Item: (ProblemConcernActDermatology)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:id"
         id="d41e9882-false-d48918e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemConcernActDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4320
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]
Item: (ProblemConcernActDermatology)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]"
         id="d41e9884-false-d48929e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(ProblemConcernActDermatology): Der Elementinhalt MUSS einer von 'code 'CONC' codeSystem '2.16.840.1.113883.5.6'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4320
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:statusCode[@code = 'completed']
Item: (ProblemConcernActDermatology)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:statusCode[@code = 'completed']"
         id="d41e9890-false-d48943e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemConcernActDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="@nullFlavor or (@code='completed')">(ProblemConcernActDermatology): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4320
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:effectiveTime[hl7:low]
Item: (ProblemConcernActDermatology)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:effectiveTime[hl7:low]"
         id="d41e9895-false-d48959e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="count(hl7:low[not(@nullFlavor)]) &gt;= 1">(ProblemConcernActDermatology): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="count(hl7:low[not(@nullFlavor)]) &lt;= 1">(ProblemConcernActDermatology): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="count(hl7:high) &lt;= 1">(ProblemConcernActDermatology): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4320
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:effectiveTime[hl7:low]/hl7:low[not(@nullFlavor)]
Item: (ProblemConcernActDermatology)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4320
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:effectiveTime[hl7:low]/hl7:high
Item: (ProblemConcernActDermatology)
-->


   <!--
Template derived rules for ID: 1.2.276.0.76.10.4320
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]
Item: (ProblemConcernActDermatology)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4320-2020-05-24T114709.html"
              test="string(@typeCode) = ('SUBJ')">(ProblemConcernActDermatology): Der Wert von typeCode MUSS 'SUBJ' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
