<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4321
Name: Dermatologie Familienanamnese Problem Observation
Description: Beschreibung eines dermatolgischen Problems innerhalb der Familie des Patienten
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4321-2020-05-24T232158">
   <title>Dermatologie Familienanamnese Problem Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4321
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]
Item: (ProblemObservationDermatologyFamilyHistory)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4321
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]
Item: (ProblemObservationDermatologyFamilyHistory)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]"
         id="d41e9954-false-d49033e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="string(@classCode) = ('OBS')">(ProblemObservationDermatologyFamilyHistory): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="string(@moodCode) = ('EVN')">(ProblemObservationDermatologyFamilyHistory): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(ProblemObservationDermatologyFamilyHistory): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4321']) &gt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:templateId[@root = '1.2.276.0.76.10.4321'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4321']) &lt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:templateId[@root = '1.2.276.0.76.10.4321'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:text) &lt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:effectiveTime[hl7:low]) &lt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:effectiveTime[hl7:low] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.475-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.475-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.475-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.475-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4321
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:templateId[@root = '1.2.276.0.76.10.4321']
Item: (ProblemObservationDermatologyFamilyHistory)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:templateId[@root = '1.2.276.0.76.10.4321']"
         id="d41e9962-false-d49107e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatologyFamilyHistory): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="string(@root) = ('1.2.276.0.76.10.4321')">(ProblemObservationDermatologyFamilyHistory): Der Wert von root MUSS '1.2.276.0.76.10.4321' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4321
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:id
Item: (ProblemObservationDermatologyFamilyHistory)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:id"
         id="d41e9967-false-d49121e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatologyFamilyHistory): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4321
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (ProblemObservationDermatologyFamilyHistory)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d41e9970-false-d49132e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatologyFamilyHistory): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="@nullFlavor or (@code='55607006' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Problem')">(ProblemObservationDermatologyFamilyHistory): Der Elementinhalt MUSS einer von 'code '55607006' codeSystem '2.16.840.1.113883.6.96' displayName='Problem'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4321
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:text
Item: (ProblemObservationDermatologyFamilyHistory)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:text"
         id="d41e9975-false-d49148e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatologyFamilyHistory): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4321
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:statusCode[@code = 'completed']
Item: (ProblemObservationDermatologyFamilyHistory)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:statusCode[@code = 'completed']"
         id="d41e9977-false-d49159e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="@nullFlavor or (@code='completed')">(ProblemObservationDermatologyFamilyHistory): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4321
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:effectiveTime[hl7:low]
Item: (ProblemObservationDermatologyFamilyHistory)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:effectiveTime[hl7:low]"
         id="d41e9982-false-d49172e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:low[not(@nullFlavor)]) &gt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:low[not(@nullFlavor)]) &lt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="count(hl7:high) &lt;= 1">(ProblemObservationDermatologyFamilyHistory): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4321
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:effectiveTime[hl7:low]/hl7:low[not(@nullFlavor)]
Item: (ProblemObservationDermatologyFamilyHistory)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4321
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:effectiveTime[hl7:low]/hl7:high
Item: (ProblemObservationDermatologyFamilyHistory)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4321
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.475-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ProblemObservationDermatologyFamilyHistory)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.475-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d41e9989-false-d49213e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatologyFamilyHistory): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4321-2020-05-24T232158.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.475-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProblemObservationDermatologyFamilyHistory): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.475 Dermatologie Familienanamnese (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
