<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.8
Name: Medikation
Description: Template CDA SubstanceAdministration (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257">
   <title>Medikation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]
Item: (MedicationStatementKonsil)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]
Item: (MedicationStatementKonsil)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]"
         id="d41e16570-false-d168598e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="string(@classCode) = ('SBADM')">(MedicationStatementKonsil): Der Wert von classCode MUSS 'SBADM' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="@moodCode">(MedicationStatementKonsil): Attribut @moodCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19461-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(MedicationStatementKonsil): Der Wert von moodCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19461' x_DocumentSubstanceMood (DYNAMIC).</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8']) &gt;= 1">(MedicationStatementKonsil): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8']) &lt;= 1">(MedicationStatementKonsil): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.308']) &gt;= 1">(MedicationStatementKonsil): Element hl7:templateId[@root = '2.16.840.1.113883.10.12.308'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.308']) &lt;= 1">(MedicationStatementKonsil): Element hl7:templateId[@root = '2.16.840.1.113883.10.12.308'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="count(hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4') or @nullFlavor]) &lt;= 1">(MedicationStatementKonsil): Element hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="count(hl7:statusCode[(@code = 'completed' and @codeSystem = '2.16.840.1.113883.2.6.60.4.11.25') or @nullFlavor]) &lt;= 1">(MedicationStatementKonsil): Element hl7:statusCode[(@code = 'completed' and @codeSystem = '2.16.840.1.113883.2.6.60.4.11.25') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="count(hl7:effectiveTime) &lt;= 1">(MedicationStatementKonsil): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="count(hl7:consumable[not(@nullFlavor)][@typeCode = 'CSM']) &gt;= 1">(MedicationStatementKonsil): Element hl7:consumable[not(@nullFlavor)][@typeCode = 'CSM'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="count(hl7:consumable[not(@nullFlavor)][@typeCode = 'CSM']) &lt;= 1">(MedicationStatementKonsil): Element hl7:consumable[not(@nullFlavor)][@typeCode = 'CSM'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8']
Item: (MedicationStatementKonsil)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8']"
         id="d41e16579-false-d168672e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.8')">(MedicationStatementKonsil): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.8' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.308']
Item: (MedicationStatementKonsil)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.308']"
         id="d41e16584-false-d168687e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="string(@root) = ('2.16.840.1.113883.10.12.308')">(MedicationStatementKonsil): Der Wert von root MUSS '2.16.840.1.113883.10.12.308' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4') or @nullFlavor]
Item: (MedicationStatementKonsil)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4') or @nullFlavor]"
         id="d41e16589-false-d168702e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="@nullFlavor or (@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')">(MedicationStatementKonsil): Der Elementinhalt MUSS einer von 'code 'DRUG' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:statusCode[(@code = 'completed' and @codeSystem = '2.16.840.1.113883.2.6.60.4.11.25') or @nullFlavor]
Item: (MedicationStatementKonsil)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:statusCode[(@code = 'completed' and @codeSystem = '2.16.840.1.113883.2.6.60.4.11.25') or @nullFlavor]"
         id="d41e16595-false-d168719e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="@nullFlavor or (@code='completed' and @codeSystem='2.16.840.1.113883.2.6.60.4.11.25')">(MedicationStatementKonsil): Der Elementinhalt MUSS einer von 'code 'completed' codeSystem '2.16.840.1.113883.2.6.60.4.11.25'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:effectiveTime
Item: (MedicationStatementKonsil)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:effectiveTime"
         id="d41e16600-false-d168735e0">
      <extends rule="SXCM_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SXCM_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SXCM_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:consumable[not(@nullFlavor)][@typeCode = 'CSM']
Item: (MedicationStatementKonsil)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.8'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:consumable[not(@nullFlavor)][@typeCode = 'CSM']"
         id="d41e16602-false-d168745e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.html"
              test="string(@typeCode) = ('CSM')">(MedicationStatementKonsil): Der Wert von typeCode MUSS 'CSM' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
